function $AdfQueryOperationEvent$$($source$$92$$, $operation$$6$$, $value$$122$$) {
  this.Init($source$$92$$, $operation$$6$$, $value$$122$$);
}
$goog$exportSymbol$$("AdfQueryOperationEvent", $AdfQueryOperationEvent$$);
$AdfObject$$.$createSubclass$($AdfQueryOperationEvent$$, $AdfComponentEvent$$);
$AdfQueryOperationEvent$$.$EVENT_TYPE$ = "queryOperation";
$goog$exportSymbol$$("AdfQueryOperationEvent.EVENT_TYPE", $AdfQueryOperationEvent$$.$EVENT_TYPE$);
$AdfQueryOperationEvent$$.$OPERATION_CREATE$ = "CREATE";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_CREATE", $AdfQueryOperationEvent$$.$OPERATION_CREATE$);
$AdfQueryOperationEvent$$.$OPERATION_DELETE$ = "DELETE";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_DELETE", $AdfQueryOperationEvent$$.$OPERATION_DELETE$);
$AdfQueryOperationEvent$$.$OPERATION_DUPLICATE$ = "DUPLICATE";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_DUPLICATE", $AdfQueryOperationEvent$$.$OPERATION_DUPLICATE$);
$AdfQueryOperationEvent$$.$OPERATION_MODE_CHANGE$ = "MODE_CHANGE";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_MODE_CHANGE", $AdfQueryOperationEvent$$.$OPERATION_MODE_CHANGE$);
$AdfQueryOperationEvent$$.$OPERATION_RESET$ = "RESET";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_RESET", $AdfQueryOperationEvent$$.$OPERATION_RESET$);
$AdfQueryOperationEvent$$.$OPERATION_SELECT$ = "SELECT";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_SELECT", $AdfQueryOperationEvent$$.$OPERATION_SELECT$);
$AdfQueryOperationEvent$$.$OPERATION_UPDATE$ = "UPDATE";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_UPDATE", $AdfQueryOperationEvent$$.$OPERATION_UPDATE$);
$AdfQueryOperationEvent$$.$OPERATION_OVERRIDE$ = "OVERRIDE";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_OVERRIDE", $AdfQueryOperationEvent$$.$OPERATION_OVERRIDE$);
$AdfQueryOperationEvent$$.$OPERATION_REORDER_FIELDS$ = "REORDER_FIELDS";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_REORDER_FIELDS", $AdfQueryOperationEvent$$.$OPERATION_REORDER_FIELDS$);
$AdfQueryOperationEvent$$.$OPERATION_ADDFIELDS$ = "ADD_FIELDS";
$goog$exportSymbol$$("AdfQueryOperationEvent.OPERATION_ADDFIELDS", $AdfQueryOperationEvent$$.$OPERATION_ADDFIELDS$);
$AdfQueryOperationEvent$$.prototype.Init = function $$AdfQueryOperationEvent$$$$Init$($source$$93$$, $operation$$7$$, $value$$123$$) {
  $AdfAssert$$.$assertPrototype$($source$$93$$, $AdfUIComponent$$);
  $AdfQueryOperationEvent$$.$superclass$.Init.call(this, $source$$93$$, $AdfQueryOperationEvent$$.$EVENT_TYPE$);
  this.$_operation$ = $operation$$7$$;
  this.$_value$ = $value$$123$$;
  this.$setPartial$(!0);
  this.$setRoot$($source$$93$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfQueryOperationEvent.prototype.Init", {Init:$AdfQueryOperationEvent$$.prototype.Init});
$AdfQueryOperationEvent$$.prototype.$getOperation$ = function $$AdfQueryOperationEvent$$$$$getOperation$$() {
  return this.$_operation$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfQueryOperationEvent.prototype.getOperation", {$getOperation$:$AdfQueryOperationEvent$$.prototype.$getOperation$});
$AdfQueryOperationEvent$$.prototype.getValue = function $$AdfQueryOperationEvent$$$$getValue$() {
  return this.$_value$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfQueryOperationEvent.prototype.getValue", {getValue:$AdfQueryOperationEvent$$.prototype.getValue});
$AdfQueryOperationEvent$$.prototype.$AddMarshalledProperties$ = function $$AdfQueryOperationEvent$$$$$AddMarshalledProperties$$($properties$$22$$) {
  $properties$$22$$.operation = this.$_operation$;
  null != this.$_value$ && "" != this.$_value$ && ($properties$$22$$.value = this.$_value$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfQueryOperationEvent.prototype.AddMarshalledProperties", {$AddMarshalledProperties$:$AdfQueryOperationEvent$$.prototype.$AddMarshalledProperties$});
$AdfQueryOperationEvent$$.prototype.$propagatesToServer$ = function $$AdfQueryOperationEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfQueryOperationEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfQueryOperationEvent$$.prototype.$propagatesToServer$});
$AdfQueryOperationEvent$$.$queue$ = function $$AdfQueryOperationEvent$$$$queue$$($component$$89$$, $operation$$8$$, $value$$124$$, $partial$$5$$) {
  (new $AdfQueryOperationEvent$$($component$$89$$, $operation$$8$$, $value$$124$$)).$queue$($partial$$5$$);
};
$goog$exportSymbol$$("AdfQueryOperationEvent.queue", $AdfQueryOperationEvent$$.$queue$);
